Bug 310685 - Saving the image as tiff (without flattening) kills the brush engine
Summary: Saving the image as tiff (without flattening) kills the brush engine
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: 2.5.4
Platform: Chakra Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 02:14 UTC by JenyaYQ
Modified: 2012-12-29 10:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JenyaYQ 2012-11-26 02:14:34 UTC
After saving the image as tiff without checking the option for "Flatten the image" brushes stop functioning.
Comment 1 Halla Rempt 2012-11-26 10:51:49 UTC
Thanks for the report. I can reproduce the issue.
Comment 2 Halla Rempt 2012-12-29 10:45:18 UTC
Git commit 971b05816abfba6cd5060809d55d670aa94655c9 by Boudewijn Rempt.
Committed on 29/12/2012 at 11:46.
Pushed by rempt into branch 'master'.

Unlock the image after saving a multilayer tiff file

M  +1    -0    krita/plugins/formats/tiff/kis_tiff_export.cc

http://commits.kde.org/calligra/971b05816abfba6cd5060809d55d670aa94655c9
Comment 3 Halla Rempt 2012-12-29 10:45:40 UTC
Git commit f0c3dc3f3ff55fc4cc2a5696c6b60d6ed235eb1f by Boudewijn Rempt.
Committed on 29/12/2012 at 11:46.
Pushed by rempt into branch 'calligra/2.6'.

Unlock the image after saving a multilayer tiff file

M  +1    -0    krita/plugins/formats/tiff/kis_tiff_export.cc

http://commits.kde.org/calligra/f0c3dc3f3ff55fc4cc2a5696c6b60d6ed235eb1f